Bug Hunting Session
Bug 46440 - SIGSEGV in Application::IsInMain()
Summary: SIGSEGV in Application::IsInMain()
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: x86 (IA32) Linux (All)
: lowest major
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-22 03:25 UTC by Christopher M. Penalver
Modified: 2016-10-25 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test.py (259 bytes, text/x-python)
2012-02-22 03:26 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2012-02-22 03:25:32 UTC
Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/789891

1) lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

2) apt-cache policy python2.7
python2.7:
  Installed: 2.7.2-13ubuntu5
  Candidate: 2.7.2-13ubuntu5
  Version table:
 *** 2.7.2-13ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

apt-cache policy libreoffice
libreoffice:
  Installed: 1:3.5.0-1ubuntu1
  Candidate: 1:3.5.0-1ubuntu1
  Version table:
 *** 1:3.5.0-1ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

3) What is (naively) expected to happen is running the attachment at the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/789891/+attachment/2146841/+files/test.py && python test.py

does not segfaults.

4) It segfaults. I do not know the purpose of the file or ramifications of it crashing (valid or deprecated syntax, etc.). I was triaging https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/251427 and trying to reproduce. 

First reproduced in:
lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

apt-cache policy python2.7
python2.7:
  Installed: 2.7.1-5ubuntu2
  Candidate: 2.7.1-5ubuntu2
  Version table:
 *** 2.7.1-5ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages
        100 /var/lib/dpkg/status

LO 3.3.4
Comment 1 Christopher M. Penalver 2012-02-22 03:26:48 UTC
Created attachment 57448 [details]
test.py
Comment 2 Julien Nabet 2012-02-23 13:20:30 UTC
Could you try a newer version 3.4.5 or 3.5.0 and tell if you reproduce this problem ?
FYI, there won't be any 3.3.X LO version.
Comment 3 Christopher M. Penalver 2012-02-23 14:43:28 UTC
Julien Nabet, please re-read description. ;)
Status -> New
Comment 4 Julien Nabet 2013-01-05 15:11:07 UTC
Christopher: Any update about this?
BTW after having reread description I don't know what you meant in your previous comment.
Comment 5 Björn Michaelsen 2013-01-06 03:34:16 UTC
@Julien: description says it also is reproducable in 3.5.0
Comment 6 Christopher M. Penalver 2013-01-06 08:09:22 UTC
Reproducible in:
lsb_release -rd
Description:	Ubuntu 12.10
Release:	12.10

apt-cache policy libreoffice
libreoffice:
  Installed: 1:3.6.2~rc2-0ubuntu4
  Candidate: 1:3.6.2~rc2-0ubuntu4
  Version table:
 *** 1:3.6.2~rc2-0ubuntu4 0
        900 http://archive.ubuntu.com/ubuntu/ quantal-updates/universe i386 Packages
        100 /var/lib/dpkg/status
     1:3.6.2~rc2-0ubuntu3 0
        500 http://archive.ubuntu.com/ubuntu/ quantal/universe i386 Packages

apt-cache policy python
python:
  Installed: 2.7.3-0ubuntu7
  Candidate: 2.7.3-0ubuntu7
  Version table:
 *** 2.7.3-0ubuntu7 0
        500 http://archive.ubuntu.com/ubuntu/ quantal/main i386 Packages
        100 /var/lib/dpkg/status
Comment 7 Julien Nabet 2013-01-06 08:34:08 UTC
Bjoern/Christopher: ok I had missed 3.5 part last time and I see that it's reproduceable in 3.6 too. Sorry for the noise.
Comment 8 QA Administrators 2015-02-19 15:43:07 UTC Comment hidden (obsolete)
Comment 9 Commit Notification 2015-06-04 10:11:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f69547397e5841d0915921be5be8b3edfdfdbc5

Resolves: tdf#46440 SIGSEGV on toolkit bootstrap without running instance

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Caolán McNamara 2015-06-04 10:12:49 UTC
no crash, and now even works
Comment 11 Commit Notification 2015-06-04 10:14:12 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d8383fb96a71e8ff2a5991c24dc36d82357207f&h=libreoffice-5-0

Resolves: tdf#46440 SIGSEGV on toolkit bootstrap without running instance

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-06-16 08:00:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b73386f06f9cea4a23f7e0a0882540e3dd4aa0a&h=libreoffice-4-4

Resolves: tdf#46440 SIGSEGV on toolkit bootstrap without running instance

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.